html, body {
    display: block;
    margin: 0;
    padding: 0;
    font-family: Calibri, Tahoma, sans-serif;
}
html * {
    box-sizing: border-box;
}

.cocktails-list {
    width: 100%;
    padding: 15px 15px 30px 15px;
}
.cocktails-list h1,
.stack h1 {
    text-align: center;
}
.cocktails-list .row.info {
    font-style: italic;
}
.cocktails-info {
    padding: 15px 5px;
    color: #666;
}
.cocktail {
    display: flex;
    font-size: 16px;
    margin-bottom: 20px;
}
.cocktail .cocktail-inner {
    background: #fff;
    width: 100%;
    padding: 15px;
    box-shadow: #00000026 0 0 3px;
    display: flex;
    flex-direction: column;
}
.cocktail .cocktail-title {
    margin: 10px 0 10px 0;
    padding-bottom: 10px;
    border-bottom: #eee 1px solid; 
   
}
.cocktail .cocktail-liqueur-js {
    display: flex;
    flex-wrap: wrap;
}
.cocktail .cocktail-liqueur-js .badge {
    flex-grow: 1;
    margin-top: 5px;
    background-color: #f8f9fa;
    color: black;
    padding: 6px;
    background: #ddd;
    font-size: 65%;
}
.detail .cocktail-liqueur-js .badge {
    margin-top: 0;
    margin-bottom: 5px;
}
.cocktail .cocktail-liqueur-js .badge:nth-child(1) {
    width: 50%;
}
.detail .cocktail-liqueur-js .badge:nth-child(1) {
    width: auto;
}
.cocktail .cocktail-liqueur-js .badge:before {
    content: "";
    display: inline-block;
    width: 8px;
    height: 8px;
    margin-right: 5px;
    border-radius: 50%;
    background: red;
}
.cocktail .cocktail-liqueur-js .badge.green:before {
    background-color: #198754;
}
.cocktail .cocktail-liqueur-js .badge.orange:before {
    background-color: #ffc107;
}
.cocktail .cocktail-liqueur-js .badge.red:before {
    background-color: #dc3545;
}
.cocktail .cocktail-liqueur-js .badge.gray:before {
    background-color: #6c757d;
}

.cocktail.detail .cocktail-title {
    border: none;
    text-align: left;
}
.cocktail .cocktail-title a.rc {
    color: #777;
    text-decoration: none;
}
.cocktail .cocktail-title a.rc:hover {
    color: #000;
}
.cocktail h2 { font-size: 22px; }
.cocktail h3 { font-size: 18px; margin: 0 0 10px 0; }
.cocktail .cocktail-image {
    display: block;
    box-sizing: content-box;
    position: relative;
    padding-bottom: 100%;
    margin: -15px -15px 0 -15px;
}
.detail .cocktail-image {
    margin: 0;
}
.cocktail .cocktail-image .image {
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: 0;
    background: #eee 50% 50% no-repeat;
    background-size: cover;
    z-index: 10;
    box-shadow: #0002 0 0 30px inset;
}
.cocktail .cocktail-image.out .image {
    filter:grayscale(90%) contrast(25%) brightness(180%) blur(1px);
}
.cocktail .cocktail-image.out:after {
    content: "";
    display: block;
    position: absolute;
    width: 80%;
    height: 80%;
    left: 10%;
    top: 10%;
    background: transparent url('/storage/out-of-stock.png') 50% 50% no-repeat;
    background-size: contain;
    z-index: 20;
}
.cocktail .cocktail-inner:hover .cocktail-image .image {
    -box-shadow: unset;
}
.cocktail .cocktail-id {
    display: block;
    width: 40px;
    float: right;
    text-align: right;
    color: #999;
}
.cocktail .cocktail-content {
    margin: 0 0 5px 0;
    font-size: 14px;
}
.cocktail .cocktail-content ul {
    margin: 0;
    padding-left: 16px;
}
.cocktail .cocktail-recipe {
    flex-grow: 1;
}
.cocktail .cocktail-comment,
.cocktail .cocktail-source,
.cocktail .cocktail-recipe {
    margin: 6px 0;
    padding-top: 6px;
    border-top: #eee 1px solid; 
    font-size: 14px;
}
.cocktail .cocktail-comment {
    color: #666;
}
.cocktail .cocktail-comment:hover {
    color: #000;
}
.cocktail .cocktail-source a,
.cocktail .cocktail-source a:visited {
    text-decoration: none;
    color: #000;
}
.cocktail .cocktail-source a:hover {
    text-decoration: none;
    color: #09b;
}
.filters .query {
    -width: 100%;
}
.filters .submit .btn {
    display: block;
    width: 100%;
    line-height: 44px;
}

.cocktail-header {
    position: relative;
}
.cocktail-rating {
    display: block;
    position: absolute;
    width: 90px;
    right: 0;
    z-index: 100;
}
.detail .cocktail-rating {
    right: 10px;
    top: 10px;
}
.cocktail-rating-bg,
.cocktail-rating-stars {
    display: block;
    width: 100%;
    height: 20px;
    line-height: 20px;
    font-size: 18px;
    position: absolute;
    letter-spacing: 0px;

    overflow: hidden;
}
.cocktail-rating-bg:before,
.cocktail-rating-stars:before {
    content: "★★★★★";
    color: #fff;
    text-shadow: 0 0 1px #000,
                 0 0 1px #000,
                 0 0 1px #000,
                 0 0 1px #000,
                 0 0 1px #000;
}
.cocktail-rating-stars {
    position: relative;
}
.cocktail-rating-stars:before {
    content: "★★★★★";
    color: #000;
    text-shadow: #fff 0 0 1px,
        #fff 0 0 2px;
}

.cocktail-rating[data-value="6"],
.cocktail-rating[data-value="6"] .cocktail-rating-bg,
.cocktail-rating[data-value="6"] .cocktail-rating-stars {
    width: 18px !important;

}
.cocktail-rating[data-value="6"] .cocktail-rating-bg:before,
.cocktail-rating[data-value="6"] .cocktail-rating-stars:before {
    content: "★★★★★";
    color: #fd0;
    text-shadow: 0 0 1px #fa0,
                 0 0 1px #fa0,
                 0 0 1px #fa0,
                 0 0 1px #fa0,
                 0 0 1px #fa0;

}

.filters .filter {
    display: block;
}
.filters .rating .form-select {
    min-width: 160px;
}
.filters .rating .rating-input {
    margin-bottom: 21px;
}
.filters .filter .title {
    display: block;
    width: 100%;
    line-height: 20px;
    min-height: 20px;
    font-size: 85%;
    margin: 5px 0 3px 0;
}
.filters .tags-input .variant span {
    padding-left: 5px;
}
.filters .tags-input .variant i {
    padding-left: 5px;
    color: #666;
    font-size: 90%;
}

.to-the-library,
.share,
.share-close {
    display: block;
    position: absolute;
    padding: 5px;
    margin: 0 5px;
    right: 5px;
    top: 10px;
    text-decoration: none;
    color: #000;
    line-height: 20px;
    opacity: 0.4;
}
.share-close {
    right: 10px;
}
.share,
.share-close {
    right: auto;
    left: 5px;
}
.share svg {
    width: 20px;
    height: auto;
}
.to-the-library:after,
.share-close:after {
    content: "✕";
    padding-left: 7px;
    display: inline-block;
}
.share-close:after {
    padding-left: 4px;
}

.cocktails-list.special {
    min-height: 100vh;
}
.cocktails-list.special .to-the-library:hover,
.share:hover,
.share-close:hover {
    opacity: 1;
}
.cocktails-list.special .title {
    text-align: center;
    padding-top: 35px;
    padding-bottom: 5px;
}
.cocktails-list.special .title h1 {
    margin-bottom: 15px;
}
.cocktails-list.special .message {
    display: flex;
    margin: 0 0 15px 0;
    justify-content: center;
}
.cocktails-list.special .message .inner {
    padding: 15px;
    border: #ccc 1px dashed;
}
.qr .cocktail-image {
    background-color: #fff;
}
.cocktail .cocktail-sd {
    border-top: #eee 1px solid;
    margin-top: 10px;
    padding-top: 10px;
    color: #666;
}
.cocktail .cocktail-sd ul {
    margin: 5px 0;
    padding: 0 0 0 15px;
}
.not-a-link-really,
.not-a-link-really:visited {
    color: black !important;
    text-decoration: none !important;
}
.cocktail .cocktail-sd a {
    text-decoration: none;
    display: inline-block;
    color: #ccc;
}
.cocktail .cocktail-sd a:hover {
    color: #000;
}
.sd {
    font-style: italic;
    background: #fff;
    padding: 15px;
    border: #eee 1px solid;
}
.sd ul {
    padding: 10px 10px 0 15px;
    margin: 0;
}
.cocktails-wrapper {
    justify-content: center;
}
.cocktail.qr .qr-code {
    justify-content: center;
    position: absolute;
    display: flex;
    align-items: center;
    width: 100%;
    height: 100%;
}
.cocktail.qr .qr-code svg {
    width: auto;
    height: 80%;
}

.cocktail.qr .cocktail-comment {
    border-top: none;
}

.mobile-overlay {
    display: none;
    position: absolute;
    width: 100%;
    height: 100%;
    align-items: center;
    justify-content: center;
}
.share { display: none; }

@media screen and (max-width: 767px) {
    .cocktails-list.special .qr { display: none; }
    .share { display: block; }
    .mobile-overlay-active .mobile-overlay { display: flex; }
    .mobile-overlay-active .cocktails-list { display: none; }
}
.filters .multiselect {
    max-height: 120px;
    overflow: auto;
    padding: .375rem .75rem;
    border: #dee2e6 1px solid;
    border-radius: 0.375rem;
}
.filters.tags .multiselect {
    max-height: 75vh;
}
.filters .multiselect .variant {
    white-space: nowrap;
    -overflow-y: hidden;
}

.filters .form-select[type="text"][role="button"] {
    text-overflow: ellipsis;
}

*:focus {
    box-shadow: none;
    box-shadow: none !important;
}

#calculator {
    margin-top: 30px;
    margin-bottom: 30px;
    position: relative;
    display: none;
}
#calculator h1 {
    margin-top: 15px;
}
#calculator.initialized {
    visibility: visible;
}
#calculator .measure {
    display: flex;
    
}
#calculator .measure .form-floating {
    min-width: 100%;
}
#calculator .measure span {
    min-width: 100%;
    height: 100%;
    align-content: center;
    padding: .375rem .375rem .375rem .8rem;
    border: var(--bs-border-width) solid var(--bs-border-color);
    border-radius: var(--bs-border-radius);
    background-color: var(--bs-secondary-bg);
}
#calculator .lock button {
    height: 58px;
    font-size: 20px;
}
#calculator .i-want > .row > div,
#calculator .i-have > .row > div,
#calculator button.build {
    margin-bottom: 15px;
}

#calculator .btn-info-icon span {
    display: inline-block;
    width: 22px;
    height: 22px;
    border: #333 2px solid;
    color: #333;
    border-radius: 50%;
    text-align: center;
    line-height: 19px;
    font-size: 14px;
    font-weight: bold;
}
#calculator .btn-info-icon:hover span {
    border-color: #fff;
    color: #fff;
}

.chart-wrapper {
    display: block;
    position: relative;
    margin: 0 auto;
    padding-bottom: 56.25%;
}
.chart-wrapper #chart {
    width: 100%;
    height: 100%;
    position: absolute;
}

.form-check.all-cocktails input {
    float: none;
    vertical-align: baseline;
    font-size: 24px;
    margin-right: 10px;
}
.form-check.all-cocktails input[type="number"] {
    display: inline-block;
    width: 80px;
    position: relative;
    top: -13px;
}

.ingredients-wrapper li.ingredient {
    clear: both;
}
.ingredients-wrapper .ingredient b {
    display: block;
    padding-left: 10px;
    float: right;
}
.border-radius-none {
    border-radius: 0 !important;
}

.stack .cocktails-list .list-group { 
    min-height: 100%;
}
.stack .cocktails-list .list-group-item {
    margin-bottom: -1px;
    flex-grow: 1;
    align-content: center;
}
.stack .footer,
.stack .ingredients-wrapper,
.stack .cocktails-wrapper,
.page-cocktails .footer {
    margin-top: 15px;
    padding-top: 15px;
    border-top: #ddd 1px solid;
}
.stack .footer,
.page-cocktails .footer {
    padding: 30px 15px;
    text-align: center;
}
.stack .footer a,
.page-cocktails .footer a {
    text-decoration: none;
    margin-left: 10px;
}
.stack .footer a:hover,
.page-cocktails .footer a:hover {
    text-decoration: underline;
}
.stack .footer a i,
.page-cocktails .footer a i {
    position: relative;
    left: -5px;
}


.page-cocktails {
    background: #eee;
}
.page-cocktails h1 {
    margin-bottom: 30px;
}

.row.filters-form {
    padding: 0 15px;
}
.filters-wrapper {
    background: #fff;
    padding: 15px;
    box-shadow: #00000026 0 0 3px;
}
.stack .cocktails-list {
    max-height: 300px;
}

.loader-full {
    display: flex;
    align-items: center;
    width: 100vw;
    height: 100vh;
    justify-content: center;
    position: fixed;
    left: 0;
    top: 0;
}

.loader {
    opacity: 1;
    display: block;
    transition: opacity .1s linear, display .1s linear;
}
.loader.loaded {
    display: none;
    opacity: 0;
}
.page-wrapper {
    transition: opacity .1s linear;
    opacity: 0;
    height: 1px;
    overflow: hidden;
}
.page-wrapper.loaded {
    opacity: 1;
    height: auto;
    overflow: auto;
}

.page-cocktails .cocktails-items.loading {
}